<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
$idcdin = $sesion->id;
   $id_inv=$_POST['c_id_inv'];
   $centro=$_POST['copia_clave_cd'];
   $cuenta=$_POST['copia_cuenta'];
   $gtot=$_POST['copia_gtot'];
   $ptos=$_POST['copia_ptos'];
   $icentro=$_POST['idcentro'];
   $ipago=$_POST['pago'];
	$ibanco=$_POST['banco'];
	$ifecha=$_POST['fechad'];
	$ifolio=$_POST['folio'];
	   if($ipago==1){$tipop="EFECTIVO";}
   if($ipago==2){$tipop="DEPOSITO";}
   $qp3 = "select  idcd, centros.nombre from usuarios_ci, centros where idcd=centros_idcd and idusuarios_ci='$idcdin'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
	$idcentro = $rp3->idcd;
	$puntosok=$ptos;

   if ($confirmap == "Confirmar Pedido")
   {
  
   
  }
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- A�o
				$mes = date('m',$FechaStamp); //<-- n�mero de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- D�a del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //D�a de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Mi�rcoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="S�bado"; break;
				}

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

  		// **********************************************************************************

	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '11',curdate(),curtime(),'$idcdin','$gtot'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (Intento de Actualizacion en Pedido): ' . mysqli_error($conexion));
	
	   $qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$id_inv' and fechat= curdate() order by horat ASC";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $trans = $ra[0];
	};
	   $qa1 = "SELECT max(idtransacciones) FROM transacciones";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra1 = mysqli_fetch_row($ca1))
   {
	   $pedido = $ra1[0];
	};
	
	$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								  	'$idcdin', '$trans','$gtot','0','$ifolio','$ibanco',  '$ifecha',  '$tipop'
							     )";
					$cP = mysqli_query($conexion, $qP) or die ('Error (Intento de Actualizacion depositos): ' . mysqli_error($conexion));
	
	for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A4[$k]=$_POST["copia_id_prod$k"];
					
					$qP1 = "INSERT INTO nsalida
							    (	 
							      transacciones_idtransacciones, productos_idprod, cant, asignar 
							    ) 
							    VALUES 
							    (
								    '$trans', '$A4[$k]','$A1[$k]','$A1[$k]'
							     )";
					$cP1 = mysqli_query($conexion, $qP1) or die ('Error (Intento de Actualizacion en nsalida): ' . mysqli_error($conexion));
                                        $qP12 = "INSERT INTO pedido
                                (     
                                  transacciones_idtransacciones, productos_idprod, cant 
                                ) 
                                VALUES 
                                (
                                    '$trans', '$A4[$k]','$A1[$k]'
                                 )";
                    $cP12 = mysqli_query($conexion, $qP12) or die ('Error (Intento de Actualizacion en Pedido): ' . mysqli_error($conexion));
		   		}	
		   	}









			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};
   

   $gtot=0;
   
   echo"<table cellspacing=\"22\">";
	   		echo "<tr><td><img src=\"nslogo.jpg\"><br>
			
            <font size=\"2\">Bandera Nacional 500 Col. Conj. Patria, Zapopan, Jal.<br>    
			
			RFC RRB080808Q97 Tel: 33-36244769 y 70 CP 45160<br>
			<br>
			<b>Id NS $pedido </b>";
			
			echo"<br>$fechaT $hora
			<br>Nombre: $dg_nom $dg_apP $dg_apM

			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			
			$gtot2=$gtot;
		   	echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			Centro de Distribucion: $centro<center><br>";echo"</td>";
			
           echo "<td><img src=\"nslogo.jpg\"><br>
            
            <font size=\"2\">Bandera Nacional 500 Col. Conj. Patria, Zapopan, Jal.<br>    
            
            RFC RRB080808Q97 Tel: 33-36244769 y 70 CP 45160<br>
            <br>
            <b>Id NS $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if ($_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            
            
               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            Centro de Distribucion: $centro<center><br>";echo"</td></tr>";
                          echo "<tr><td><img src=\"nslogo.jpg\"><br>
            
            <font size=\"2\">Bandera Nacional 500 Col. Conj. Patria, Zapopan, Jal.<br>    
            
            RFC RRB080808Q97 Tel: 33-36244769 y 70 CP 45160<br>
            <br>
            <b>Id NS $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if ($_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            

               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            Centro de Distribucion: $centro<center><br>";echo"</td>";
            
           echo "<td><img src=\"nslogo.jpg\"><br>
            
            <font size=\"2\">Bandera Nacional 500 Col. Conj. Patria, Zapopan, Jal.<br>    
            
            RFC RRB080808Q97 Tel: 33-36244769 y 70 CP 45160<br>
            <br>
            <b>Id NS $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if ($_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            
            
               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            Centro de Distribucion: $centro<center><br>";echo"</td></tr>";
?>

